SDL_SetAssertionHandler(3)

NAME
SDL_SetAssertionHandler - Set an application-defined assertion handler.

SYNOPSIS
#include <SDL3/SDL_assert.h>

void SDL_SetAssertionHandler(
                SDL_AssertionHandler handler,
                void *userdata);

DESCRIPTION
This function allows an application to show its own assertion UI and/or force the response to an assertion failure. If the application doesn't provide this, SDL will try to do the right thing, popping up a system-specific GUI dialog, and probably minimizing any fullscreen windows.

This callback may fire from any thread, but it runs wrapped in a mutex, so it will only fire from one thread at a time.

This callback is NOT reset to SDL's internal handler upon SDL_Quit()!

FUNCTION PARAMETERS

handler
    the SDL_AssertionHandler function to call when an assertion fails or NULL for the default handler.

userdata
    a pointer that is passed to handler.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetAssertionHandler(3)